[asan] i686-linux-android support.

Description

[asan] i686-linux-android support.

Large part of this change is required due to

https://code.google.com/p/android/issues/detail?id=61799

dlsym() crashes when symbol resolution fails, which means
we have to limit the interceptor list instead of relying on
runtime detection.

There are minor differencies in system headers, too.

Details

Committed
eugenisJul 3 2014, 7:20 AM
Parents
rL212272: [asan] Fix unused variable warning.
Branches
Unknown
Tags
Unknown